C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.VerifiableCredentials.Verification;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.VerifiableCredentials.Verification.Templates.ListAsync(
new ListVerifiableCredentialTemplatesRequestParameters {
From = "from",
Take = 1
}
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
verification "github.com/auth0/go-auth0/management/management/verifiablecredentials/verification"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &verification.ListVerifiableCredentialTemplatesRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
client.VerifiableCredentials.Verification.Templates.List(
context.TODO(),
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.verifiablecredentials.verification.templates.requests.ListVerifiableCredentialTemplatesRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.verifiableCredentials().verification().templates().list(
ListVerifiableCredentialTemplatesRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\VerifiableCredentials\Verification\Templates\Requests\ListVerifiableCredentialTemplatesRequestParameters;
$client = new Management(
token: '<token>',
);
$client->verifiableCredentials->verification->templates->list(
new ListVerifiableCredentialTemplatesRequestParameters([
'from' => 'from',
'take' => 1,
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.verifiable_credentials.verification.templates.list(
from="from",
take=1,
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.verifiable_credentials.verification.templates.list(
from: "from",
take: 1
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.list({
from: "from",
take: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.list({
from: "from",
take: 1,
});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/verifiable-credentials/verification/templates \
--header 'Authorization: Bearer <token>'{
"next": "<string>",
"templates": [
{
"id": "vct_0000000000000001",
"name": "<string>",
"type": "mdl",
"dialect": "simplified/1.0",
"presentation": {
"org.iso.18013.5.1.mDL": {
"org.iso.18013.5.1": {
"family_name": true,
"given_name": true,
"birth_date": true,
"issue_date": true,
"expiry_date": true,
"issuing_country": true,
"issuing_authority": true,
"portrait": true,
"driving_privileges": true,
"resident_address": true,
"portrait_capture_date": true,
"age_in_years": true,
"age_birth_year": true,
"issuing_jurisdiction": true,
"nationality": true,
"resident_city": true,
"resident_state": true,
"resident_postal_code": true,
"resident_country": true,
"family_name_national_character": true,
"given_name_national_character": true
}
}
},
"custom_certificate_authority": "<string>",
"well_known_trusted_issuers": "<string>",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z"
}
]
}List verifiable credential templates for a tenant.
List verifiable credential templates.
GET
https://{tenantDomain}/api/v2
/
verifiable-credentials
/
verification
/
templates
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.VerifiableCredentials.Verification;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.VerifiableCredentials.Verification.Templates.ListAsync(
new ListVerifiableCredentialTemplatesRequestParameters {
From = "from",
Take = 1
}
);
}
}package example
import (
context "context"
management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
verification "github.com/auth0/go-auth0/management/management/verifiablecredentials/verification"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &verification.ListVerifiableCredentialTemplatesRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
client.VerifiableCredentials.Verification.Templates.List(
context.TODO(),
request,
)
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.verifiablecredentials.verification.templates.requests.ListVerifiableCredentialTemplatesRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.verifiableCredentials().verification().templates().list(
ListVerifiableCredentialTemplatesRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\VerifiableCredentials\Verification\Templates\Requests\ListVerifiableCredentialTemplatesRequestParameters;
$client = new Management(
token: '<token>',
);
$client->verifiableCredentials->verification->templates->list(
new ListVerifiableCredentialTemplatesRequestParameters([
'from' => 'from',
'take' => 1,
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.verifiable_credentials.verification.templates.list(
from="from",
take=1,
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.verifiable_credentials.verification.templates.list(
from: "from",
take: 1
)import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.list({
from: "from",
take: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.verifiableCredentials.verification.templates.list({
from: "from",
take: 1,
});
}
main();curl --request GET \
--url https://{tenantDomain}/api/v2/verifiable-credentials/verification/templates \
--header 'Authorization: Bearer <token>'{
"next": "<string>",
"templates": [
{
"id": "vct_0000000000000001",
"name": "<string>",
"type": "mdl",
"dialect": "simplified/1.0",
"presentation": {
"org.iso.18013.5.1.mDL": {
"org.iso.18013.5.1": {
"family_name": true,
"given_name": true,
"birth_date": true,
"issue_date": true,
"expiry_date": true,
"issuing_country": true,
"issuing_authority": true,
"portrait": true,
"driving_privileges": true,
"resident_address": true,
"portrait_capture_date": true,
"age_in_years": true,
"age_birth_year": true,
"issuing_jurisdiction": true,
"nationality": true,
"resident_city": true,
"resident_state": true,
"resident_postal_code": true,
"resident_country": true,
"family_name_national_character": true,
"given_name_national_character": true
}
}
},
"custom_certificate_authority": "<string>",
"well_known_trusted_issuers": "<string>",
"created_at": "2021-01-01T00:00:00Z",
"updated_at": "2021-01-01T00:00:00Z"
}
]
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional Id from which to start selection.
Number of results per page. Defaults to 50.
Required range:
1 <= x <= 100Was this page helpful?
⌘I